Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.meshcms.taglib
Class Module

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          org.meshcms.taglib.AbstractTag
              org.meshcms.taglib.Module

All Implemented Interfaces:
  javax.servlet.jsp.tagext.IterationTag, com.opensymphony.module.sitemesh.RequestConstants, java.io.Serializable, javax.servlet.jsp.tagext.Tag

public final class Module
extends AbstractTag

Writes a module or the needed fields to edit it.

See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `DATE_FULL`
`static java.lang.String` | `DATE_NONE`
`static java.lang.String` | `DATE_NORMAL`

Fields inherited from class org.meshcms.taglib.AbstractTag
`PAGE_MODULES, PARAM_REGEX`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface com.opensymphony.module.sitemesh.RequestConstants
`DECORATOR, FILTER_APPLIED, PAGE, ROBOT, USING_STREAM`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`Module()`

Method Summary
`java.lang.String` | `getAlt()`
`java.lang.String` | `getDate()`
`java.lang.String` | `getLocation()`
`java.lang.String` | `getName()`
`java.lang.String` | `getParameters()`
`java.lang.String` | `getStyle()`
`void` | `setAlt(java.lang.String alt)`
`void` | `setDate(java.lang.String date)`
`void` | `setLocation(java.lang.String location)`
`void` | `setName(java.lang.String name)`
`void` | `setParameters(java.lang.String parameters)`
`void` | `setStyle(java.lang.String style)`
`void` | `writeEditTag()` Writes the contents of the tag when the page is being edited.
`void` | `writeTag()` Writes the contents of the tag.

Methods inherited from class org.meshcms.taglib.AbstractTag
`doStartTag, getHead, getMailFormAddress, getOut, getPage, getStartTagReturnValue`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, doEndTag, findAncestorWithClass, getId, getParent, getValue, getValues, release, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DATE_NONE

    public static final java.lang.String DATE_NONE

See Also:
  Constant Field Values

### DATE_NORMAL

    public static final java.lang.String DATE_NORMAL

See Also:
  Constant Field Values

### DATE_FULL

    public static final java.lang.String DATE_FULL

See Also:
  Constant Field Values

Constructor Detail

### Module

    public Module()

Method Detail

### setName

    public void setName(java.lang.String name)

### setDate

    public void setDate(java.lang.String date)

### setStyle

    public void setStyle(java.lang.String style)

### setLocation

    public void setLocation(java.lang.String location)

### setAlt

    public void setAlt(java.lang.String alt)

### writeTag

    public void writeTag()
                  throws java.io.IOException,
                         javax.servlet.jsp.JspException

  Description copied from class: `AbstractTag`
  Writes the contents of the tag. Subclasses will use this method to write to the page.

  Specified by:
    `writeTag` in class `AbstractTag`
  Throws:
    `java.io.IOException`
    `javax.servlet.jsp.JspException`

### writeEditTag

    public void writeEditTag()
                      throws java.io.IOException,
                             javax.servlet.jsp.JspException

  Description copied from class: `AbstractTag`
  Writes the contents of the tag when the page is being edited. The default implementation calls `writeTag()`. Subclasses can override it when they behave differently while editing.

  Overrides:
    `writeEditTag` in class `AbstractTag`
  Throws:
    `java.io.IOException`
    `javax.servlet.jsp.JspException`

### getName

    public java.lang.String getName()

### getDate

    public java.lang.String getDate()

### getStyle

    public java.lang.String getStyle()

### getLocation

    public java.lang.String getLocation()

### getAlt

    public java.lang.String getAlt()

### getParameters

    public java.lang.String getParameters()

### setParameters

    public void setParameters(java.lang.String parameters)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD